Scilab depends on certain java packages

b. f. bf1783 at googlemail.com
Tue Sep 22 18:41:06 UTC 2009


>Dear all,
>
>I'm working on rescuing scilab's port (math/scilab), but it seems the
>latest version depends on loads of java packages that don't seem to
>have corresponding ports.
>
>Is the correct procedure for me to:
>
 >- Create a new port for each java package
>
>or
>
 >- Somehow automatically download each java package to install along
>with the scilab port?
>

If I recall correctly, it is only the GUI for the new version that
relies upon the Java software, and you can for the moment just use the
bundled prerequisites distfiles:

http://www.scilab.org/download/5.1.1/prerequirements-scilab-5.1.1-src.tar.gz
http://www.scilab.org/download/5.1.1/prerequirements-scilab-5.1.1-x86_64-src.tar.gz

and just lump that software in them that isn't already in Ports with
the rest of scilab (offset with a WITH_GUI option, of course, so
people can opt out), for the sake of convenience, until there is
enough interest in the individual pieces to split them out to separate
ports.  I made a port months ago without the GUI.  BTW, I thought you
had taken up the maintainership of Scilab4.  Last time I asked, some
users wanted to keep that port so they didn't have to fool around with
Java, and despite the fact that there was no maintainer, I don't think
they will be happy to see the old version disappear entirely, the
assertions of the GCC maintainer run amok notwithstanding.  A new port
is probably in order.  I had some old patches somewhere to fix the old
version for amd64.  I'll see if I can dig them up when I have a
moment.

b.


>There's a distinct lack of ports for java, so I'm worried I'm doing it wrong....
>
>Chris


More information about the freebsd-ports mailing list